<template>
    <CModal
        :show="show"
        centered
        color="primary"
        size="lg"
        @update:show="updateShow($event)"
    >
        <template #header>
            <div>
                <div class="font-weight-bold font-2xl">
                    Легенда
                </div>
                Обозначения цветового кодирования в этой таблице
            </div>
        </template>
          <div class="colorHint">
            <CListGroup class="colorHintList">
              <CListGroupItem
                  class="colorHintItem"
                v-for="(item, index) in items"
                :key="index"
              >
                  <div
                      :style="{backgroundColor: item.color}"
                      class="border rounded colorHintLabel"
                  ></div>
                  <div class="colorHintInfo">
                      {{ item.label }}
                  </div>
              </CListGroupItem>
            </CListGroup>
          </div>
        <template #footer>
            <CButton type="success" @click="updateShow(false)">ОК</CButton>
        </template>
    </CModal>
</template>

<script>
export default {
  name: 'ColorHint',
  props: {
    items: { // Элементы легенды
      type: Array,
      default() {
        return []
      },
      required: true,
    },
    show: Boolean,
  },
    methods: {
        updateShow(value) {
            this.$emit('update:show', value)
        },
    }
}
</script>
